Index: BOOK/final-system/common/bison.xml
===================================================================
--- BOOK/final-system/common/bison.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/common/bison.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -27,5 +27,5 @@
     <para os="a">Prepare Bison for compilation:</para>
 
-<screen os="b"><userinput>M4=m4 ./configure --prefix=/usr</userinput></screen>
+<screen os="b"><userinput>./configure --prefix=/usr</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/final-system/common/flex.xml
===================================================================
--- BOOK/final-system/common/flex.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/common/flex.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -28,5 +28,5 @@
     <para os="a">Prepare Flex for compilation:</para>
 
-<screen os="b"><userinput>M4=m4 ./configure --prefix=/usr --docdir=/usr/share/doc/flex-&flex-version;</userinput></screen>
+<screen os="b"><userinput>./configure --prefix=/usr --docdir=/usr/share/doc/flex-&flex-version;</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/final-system/multilib/bison-64bit.xml
===================================================================
--- BOOK/final-system/multilib/bison-64bit.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/multilib/bison-64bit.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -26,5 +26,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" M4=m4 \
+<screen os="b"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
     ./configure --prefix=/usr --libdir=/usr/lib64</userinput></screen>
 
Index: BOOK/final-system/multilib/bison-n32.xml
===================================================================
--- BOOK/final-system/multilib/bison-n32.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/multilib/bison-n32.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -27,5 +27,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILDN32}" CXX="g++ ${BUILDN32}" M4=m4 \
+<screen os="b"><userinput>CC="gcc ${BUILDN32}" CXX="g++ ${BUILDN32}" \
     ./configure --prefix=/usr --libdir=/usr/lib32</userinput></screen>
 
Index: BOOK/final-system/multilib/bison.xml
===================================================================
--- BOOK/final-system/multilib/bison.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/multilib/bison.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -27,5 +27,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" M4=m4 \
+<screen os="b"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" \
     ./configure --prefix=/usr</userinput></screen>
 
Index: BOOK/final-system/multilib/flex-64bit.xml
===================================================================
--- BOOK/final-system/multilib/flex-64bit.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/multilib/flex-64bit.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -26,5 +26,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD64}" M4=m4 ./configure --prefix=/usr \
+<screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr \
     --libdir=/usr/lib64 --docdir=/usr/share/doc/flex-&flex-version;</userinput></screen>
 
Index: BOOK/final-system/multilib/flex-n32.xml
===================================================================
--- BOOK/final-system/multilib/flex-n32.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/multilib/flex-n32.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -26,5 +26,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILDN32}" M4=m4 ./configure --prefix=/usr \
+<screen os="b"><userinput>CC="gcc ${BUILDN32}" ./configure --prefix=/usr \
    --libdir=/usr/lib32 --docdir=/usr/share/doc/flex-&flex-version;</userinput></screen>
 
Index: BOOK/final-system/multilib/flex.xml
===================================================================
--- BOOK/final-system/multilib/flex.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/final-system/multilib/flex.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -27,5 +27,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD32}" M4=m4 ./configure --prefix=/usr \
+<screen os="b"><userinput>CC="gcc ${BUILD32}" ./configure --prefix=/usr \
     --docdir=/usr/share/doc/flex-&flex-version;</userinput></screen>
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 68d3e1bb7d05c9dbf10e8b8ada9885481cc3ec7e)
+++ BOOK/introduction/common/changelog.xml	(revision 97843188df25cc7341e42934f57dbf67d7492af1)
@@ -44,4 +44,8 @@
           within each arch.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Removed "M4=m4" from final-system Bison and Flex
+          pages, since m4 is now installed before them.</para>
+        </listitem>
       </itemizedlist>
     </listitem>