Index: boot/mips64/creatingdirs.xml
===================================================================
--- boot/mips64/creatingdirs.xml	(revision 6ab69ca0258ba99a5a188cf0a4945d10d4fa4b7b)
+++ boot/mips64/creatingdirs.xml	(revision 12640867553442b189d96aa4bf53067c50af9a51)
@@ -15,23 +15,17 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>install -dv ${CLFS}/{bin,boot,dev,etc/opt,home,lib{,32,64},mnt}
-install -dv ${CLFS}/{sbin,srv,usr/local,var,opt,proc,sys}
+<screen><userinput>mkdir -pv ${CLFS}/{bin,boot,dev,etc/opt,home,lib{,32,64},mnt,opt}
+mkdir -pv ${CLFS}/{proc,media/{floppy,cdrom},sbin,srv,sys,var}
 install -dv ${CLFS}/root -m 0750
-install -dv ${CLFS}/tmp ${CLFS}/var/tmp -m 1777
-install -dv ${CLFS}/media/{floppy,cdrom}
-install -dv ${CLFS}/usr/{bin,include,lib{,32,64},sbin,share,src}
-ln -sv share/{man,doc,info} ${CLFS}/usr
-install -dv ${CLFS}/usr/share/{doc,info,locale,man}
-install -dv ${CLFS}/usr/share/{misc,terminfo,zoneinfo}
-install -dv ${CLFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
-install -dv ${CLFS}/usr/local/{bin,etc,include,lib{,32,64},sbin,share,src}
-ln -sv share/{man,doc,info} ${CLFS}/usr/local
-install -dv ${CLFS}/usr/local/share/{doc,info,locale,man}
-install -dv ${CLFS}/usr/local/share/{misc,terminfo,zoneinfo}
-install -dv ${CLFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -dv ${CLFS}/var/{lock,log,mail,run,spool}
-install -dv ${CLFS}/var/{opt,cache,lib{,32,64}/{misc,locate},local}
-install -dv ${CLFS}/opt/{bin,doc,include,info}
-install -dv ${CLFS}/opt/{lib{,32,64},man/man{1,2,3,4,5,6,7,8}}
+install -dv ${CLFS}{/var,}/tmp -m 1777
+mkdir -pv ${CLFS}/usr/{,local/}{bin,include,lib{,32,64},sbin,src}
+mkdir -pv ${CLFS}/usr/{,local/}share/{doc,info,locale,man}
+mkdir -pv ${CLFS}/usr/{,local/}share/{misc,terminfo,zoneinfo}
+mkdir -pv ${CLFS}/usr/{,local/}share/man/man{1..8}
+for dir in ${CLFS}/usr{,/local}; do
+  ln -sv share/{man,doc,info} $dir
+done
+mkdir -pv ${CLFS}/var/{lock,log,mail,run,spool}
+mkdir -pv ${CLFS}/var/{opt,cache,lib{,32,64}/{misc,locate},local}
 install -dv ${CLFS}/usr/lib/locale
 ln -sv ../lib/locale ${CLFS}/usr/lib32
Index: chroot/mips64/creatingdirs.xml
===================================================================
--- chroot/mips64/creatingdirs.xml	(revision 6ab69ca0258ba99a5a188cf0a4945d10d4fa4b7b)
+++ chroot/mips64/creatingdirs.xml	(revision 12640867553442b189d96aa4bf53067c50af9a51)
@@ -15,23 +15,17 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>install -dv /{bin,boot,dev,etc/opt,home,lib{,32,64},mnt}
-install -dv /{sbin,srv,usr/local,var,opt,proc,sys}
+<screen><userinput>mkdir -pv /{bin,boot,dev,etc/opt,home,lib{,32,64},mnt,opt}
+mkdir -pv /{proc,media/{floppy,cdrom},sbin,srv,sys,var}
 install -dv /root -m 0750
-install -dv /tmp /var/tmp -m 1777
-install -dv /media/{floppy,cdrom}
-install -dv /usr/{bin,include,lib{,32,64},sbin,share,src}
-ln -sv share/{man,doc,info} /usr
-install -dv /usr/share/{doc,info,locale,man}
-install -dv /usr/share/{misc,terminfo,zoneinfo}
-install -dv /usr/share/man/man{1,2,3,4,5,6,7,8}
-install -dv /usr/local/{bin,etc,include,lib{,32,64},sbin,share,src}
-ln -sv share/{man,doc,info} /usr/local
-install -dv /usr/local/share/{doc,info,locale,man}
-install -dv /usr/local/share/{misc,terminfo,zoneinfo}
-install -dv /usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -dv /var/{lock,log,mail,run,spool}
-install -dv /var/{opt,cache,lib{,32,64}/{misc,locate},local}
-install -dv /opt/{bin,doc,include,info}
-install -dv /opt/{lib{,32,64},man/man{1,2,3,4,5,6,7,8}}
+install -dv {/var,}/tmp -m 1777
+mkdir -pv /usr/{,local/}{bin,include,lib{,32,64},sbin,src}
+mkdir -pv /usr/{,local/}share/{doc,info,locale,man}
+mkdir -pv /usr/{,local/}share/{misc,terminfo,zoneinfo}
+mkdir -pv /usr/{,local/}share/man/man{1..8}
+for dir in /usr{,/local}; do
+  ln -sv share/{man,doc,info} $dir
+done
+mkdir -pv /var/{lock,log,mail,run,spool}
+mkdir -pv /var/{opt,cache,lib{,32,64}/{misc,locate},local}
 install -dv /usr/lib/locale
 ln -sv ../lib/locale /usr/lib32
Index: chroot/multilib/creatingdirs.xml
===================================================================
--- chroot/multilib/creatingdirs.xml	(revision 6ab69ca0258ba99a5a188cf0a4945d10d4fa4b7b)
+++ chroot/multilib/creatingdirs.xml	(revision 12640867553442b189d96aa4bf53067c50af9a51)
@@ -15,23 +15,17 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>install -dv /{bin,boot,dev,etc/opt,home,lib{,64},mnt}
-install -dv /{sbin,srv,usr/local,var,opt,proc,sys}
+<screen><userinput>mkdir -pv /{bin,boot,dev,etc/opt,home,lib{,64},mnt,opt}
+mkdir -pv /{proc,media/{floppy,cdrom},sbin,srv,sys,var}
 install -dv /root -m 0750
-install -dv /tmp /var/tmp -m 1777
-install -dv /media/{floppy,cdrom}
-install -dv /usr/{bin,include,lib{,64},sbin,share,src}
-ln -sv share/{man,doc,info} /usr
-install -dv /usr/share/{doc,info,locale,man}
-install -dv /usr/share/{misc,terminfo,zoneinfo}
-install -dv /usr/share/man/man{1,2,3,4,5,6,7,8}
-install -dv /usr/local/{bin,etc,include,lib{,64},sbin,share,src}
-ln -sv share/{man,doc,info} /usr/local
-install -dv /usr/local/share/{doc,info,locale,man}
-install -dv /usr/local/share/{misc,terminfo,zoneinfo}
-install -dv /usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -dv /var/{lock,log,mail,run,spool}
-install -dv /var/{opt,cache,lib{,64}/{misc,locate},local}
-install -dv /opt/{bin,doc,include,info}
-install -dv /opt/{lib{,64},man/man{1,2,3,4,5,6,7,8}}
+install -dv {/var,}/tmp -m 1777
+mkdir -pv /usr/{,local/}{bin,include,lib{,64},sbin,src}
+mkdir -pv /usr/{,local/}share/{doc,info,locale,man}
+mkdir -pv /usr/{,local/}share/{misc,terminfo,zoneinfo}
+mkdir -pv /usr/{,local/}share/man/man{1,2,3,4,5,6,7,8}
+for dir in /usr{,/local}; do
+  ln -sv share/{man,doc,info} $dir
+done
+mkdir -pv /var/{lock,log,mail,run,spool}
+mkdir -pv /var/{opt,cache,lib{,64}/{misc,locate},local}
 install -dv /usr/lib/locale
 ln -sv ../lib/locale /usr/lib64</userinput></screen>