Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/common/glibc.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -268,5 +268,5 @@
     </indexterm>
 
-    <para>By default, the dynamic loader (<filename
+    <para os="ld-a">By default, the dynamic loader (<filename
     class="libraryfile">/lib/ld-linux.so.2</filename>) searches through
     <filename class="directory">/lib</filename> and <filename
@@ -282,8 +282,8 @@
     dynamic loader's search path.</para>
 
-    <para>Create a new file <filename>/etc/ld.so.conf</filename> by running the
+    <para os="ld-b">Create a new file <filename>/etc/ld.so.conf</filename> by running the
     following:</para>
 
-<screen><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
+<screen os="ld-c"><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
 <literal># Begin /etc/ld.so.conf
 
Index: BOOK/final-system/mips/glibc.xml
===================================================================
--- BOOK/final-system/mips/glibc.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/mips/glibc.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -129,5 +129,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/glibc.xml"
+  href="../ppc/glibc.xml"
   xpointer="xpointer(id('conf-ld'))"/>
 
Index: BOOK/final-system/mips64-64/glibc.xml
===================================================================
--- BOOK/final-system/mips64-64/glibc.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/mips64-64/glibc.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -151,5 +151,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/glibc.xml"
+  href="../mips/glibc.xml"
   xpointer="xpointer(id('conf-ld'))"/>
 
Index: BOOK/final-system/mips64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/mips64/glibc-64bit.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/mips64/glibc-64bit.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -137,6 +137,9 @@
     </indexterm>
 
-    <para>By default, the dynamic loader (<filename
-    class="libraryfile">/lib/ld-linux.so.2</filename>) searches through
+    <para os="ld-a">By default, the dynamic loader (<filename
+    class="libraryfile">/lib/ld.so.1</filename> for 32bit executables <filename
+    class="libraryfile">/lib32/ld.so.1</filename> for n32 executables and
+    <filename class="libraryfile">/lib64/ld.so.1</filename> for 64bit
+    executables) searches through
     <filename class="directory">/lib</filename> and <filename
     class="directory">/usr/lib</filename> for dynamic libraries that are
@@ -155,8 +158,8 @@
     so add those directories to the dynamic loader's search path.</para>
 
-    <para>Create a new file <filename>/etc/ld.so.conf</filename> by running the
+    <para os="ld-b">Create a new file <filename>/etc/ld.so.conf</filename> by running the
     following:</para>
 
-<screen><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
+<screen os="ld-c"><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
 <literal># Begin /etc/ld.so.conf
 
Index: BOOK/final-system/multilib/glibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glibc-64bit.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/multilib/glibc-64bit.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -131,6 +131,8 @@
     </indexterm>
 
-    <para>By default, the dynamic loader (<filename
-    class="libraryfile">/lib/ld-linux.so.2</filename>) searches through
+    <para os="ld-a">By default, the dynamic loader (<filename
+    class="libraryfile">/lib/ld-linux.so.2</filename> for 32bit executables and
+    <filename class="libraryfile">/lib64/ld-linux.so.2</filename> for
+    64bit executables) searches through
     <filename class="directory">/lib</filename>,
     <filename class="directory">/lib64</filename>,
@@ -148,8 +150,8 @@
     so add those directories to the dynamic loader's search path.</para>
 
-    <para>Create a new file <filename>/etc/ld.so.conf</filename> by running the
+    <para os="ld-b">Create a new file <filename>/etc/ld.so.conf</filename> by running the
     following:</para>
 
-<screen><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
+<screen os="ld-c"><userinput>cat &gt; /etc/ld.so.conf &lt;&lt; "EOF"
 <literal># Begin /etc/ld.so.conf
 
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/ppc-chapter.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -18,5 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/glibc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/adjusting.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
Index: BOOK/final-system/ppc/glibc.xml
===================================================================
--- BOOK/final-system/ppc/glibc.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
+++ BOOK/final-system/ppc/glibc.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -0,0 +1,157 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-glibc" role="wrap">
+  <?dbhtml filename="glibc.html"?>
+
+  <title>Glibc-&glibc-version;</title>
+
+  <indexterm zone="ch-system-glibc">
+    <primary sortas="a-Glibc">Glibc</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Glibc</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='z'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='o'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='q'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='r'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='s'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='t'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('i18n-glibc'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('conf-glibc'))"/>
+
+  <sect2 id="conf-ld" role="configuration">
+    <title>Configuring The Dynamic Loader</title>
+
+    <indexterm zone="conf-ld">
+      <primary sortas="e-/etc/ld.so.conf">/etc/ld.so.conf</primary>
+    </indexterm>
+
+    <para os="ld-a">By default, the dynamic loader (<filename
+    class="libraryfile">/lib/ld.so.1</filename>) searches through
+    <filename class="directory">/lib</filename> and <filename
+    class="directory">/usr/lib</filename> for dynamic libraries that are
+    needed by programs as they are run. However, if there are libraries in
+    directories other than <filename class="directory">/lib</filename> and
+    <filename class="directory">/usr/lib</filename>, these need to be
+    added to the <filename>/etc/ld.so.conf</filename> file in order
+    for the dynamic loader to find them. Two directories that are commonly
+    known to contain additional libraries are <filename
+    class="directory">/usr/local/lib</filename> and <filename
+    class="directory">/opt/lib</filename>, so add those directories to the
+    dynamic loader's search path.</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='ld-b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='ld-c'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('contents-glibc'))"/>
+
+</sect1>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -19,5 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/glibc.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/glibc-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/glibc-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/adjusting.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/binutils.xml"/>
Index: BOOK/final-system/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/glibc-64bit.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
+++ BOOK/final-system/ppc64/glibc-64bit.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -0,0 +1,166 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-glibc" role="wrap">
+  <?dbhtml filename="glibc-64bit.html"?>
+
+  <title>Glibc-&glibc-version; 64-Bit</title>
+
+  <indexterm zone="ch-system-glibc">
+    <primary sortas="a-Glibc">Glibc</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="glibc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Glibc</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <para os="m1">Tell Glibc to install its 64-bit libraries into
+    <filename class="directory">/lib64</filename>:</para>
+
+<screen os="m2"><userinput>echo "slibdir=/lib64" &gt;&gt; configparms</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+<screen os="h"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
+    ../glibc-&glibc-version;/configure --prefix=/usr \
+    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
+    --libexecdir=/usr/lib64/glibc --libdir=/usr/lib64</userinput></screen>
+
+    <variablelist os="i">
+      <title>The meaning of the new configure option:</title>
+
+      <varlistentry>
+        <term><parameter>--libexecdir=/usr/lib64/glibc</parameter></term>
+        <listitem>
+          <para>This changes the location of the <command>pt_chown</command>
+          program from its default of <filename
+          class="directory">/usr/libexec</filename> to <filename
+          class="directory">/usr/lib64/glibc</filename>.</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='o'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='s'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='t'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('i18n-glibc'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('conf-glibc'))"/>
+
+  <sect2 id="conf-ld" role="configuration">
+    <title>Configuring The Dynamic Loader</title>
+
+    <indexterm zone="conf-ld">
+      <primary sortas="e-/etc/ld.so.conf">/etc/ld.so.conf</primary>
+    </indexterm>
+
+    <para>By default, the dynamic loader (<filename
+    class="libraryfile">/lib/ld.so.1</filename> for 32bit executables and
+    <filename class="libraryfile">/lib/ld64.so</filename> for
+    64bit executables) searches through
+    <filename class="directory">/lib</filename>,
+    <filename class="directory">/lib64</filename>,
+    <filename class="directory">/usr/lib</filename>,
+    and <filename class="directory">/usr/lib64</filename> for dynamic
+    libraries that are needed by programs as they are run. However, if
+    there are libraries in directories other than these, they need to be
+    added to the <filename>/etc/ld.so.conf</filename> file in order
+    for the dynamic loader to find them. Some directories that are commonly
+    known to contain additional libraries are
+    <filename class="directory">/usr/local/lib</filename>,
+    <filename class="directory">/usr/local/lib64</filename>,
+    <filename class="directory">/opt/lib</filename>,
+    and <filename class="directory">/opt/lib64</filename>,
+    so add those directories to the dynamic loader's search path.</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='ld-b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='ld-c'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('contents-glibc'))"/>
+
+</sect1>
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -158,7 +158,34 @@
   xpointer="xpointer(id('conf-glibc'))"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/glibc.xml"
-  xpointer="xpointer(id('conf-ld'))"/>
+  <sect2 id="conf-ld" role="configuration">
+    <title>Configuring The Dynamic Loader</title>
+
+    <indexterm zone="conf-ld">
+      <primary sortas="e-/etc/ld.so.conf">/etc/ld.so.conf</primary>
+    </indexterm>
+
+    <para>By default, the dynamic loader (<filename
+    class="libraryfile">/lib/ld-linux-x86-64.so.2</filename>) searches through
+    <filename class="directory">/lib</filename> and <filename
+    class="directory">/usr/lib</filename> for dynamic libraries that are
+    needed by programs as they are run. However, if there are libraries in
+    directories other than <filename class="directory">/lib</filename> and
+    <filename class="directory">/usr/lib</filename>, these need to be
+    added to the <filename>/etc/ld.so.conf</filename> file in order
+    for the dynamic loader to find them. Two directories that are commonly
+    known to contain additional libraries are <filename
+    class="directory">/usr/local/lib</filename> and <filename
+    class="directory">/opt/lib</filename>, so add those directories to the
+    dynamic loader's search path.</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='ld-b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='ld-c'])"/>
+
+  </sect2>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/x86_64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/glibc-64bit.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/final-system/x86_64/glibc-64bit.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -118,7 +118,39 @@
   xpointer="xpointer(id('conf-glibc'))"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../multilib/glibc-64bit.xml"
-  xpointer="xpointer(id('conf-ld'))"/>
+  <sect2 id="conf-ld" role="configuration">
+    <title>Configuring The Dynamic Loader</title>
+
+    <indexterm zone="conf-ld">
+      <primary sortas="e-/etc/ld.so.conf">/etc/ld.so.conf</primary>
+    </indexterm>
+
+    <para>By default, the dynamic loader (<filename
+    class="libraryfile">/lib/ld-linux.so.2</filename> for 32bit executables and
+    <filename class="libraryfile">/lib64/ld-linux-x86-64.so.2</filename> for
+    64bit executables) searches through
+    <filename class="directory">/lib</filename>,
+    <filename class="directory">/lib64</filename>,
+    <filename class="directory">/usr/lib</filename>,
+    and <filename class="directory">/usr/lib64</filename> for dynamic
+    libraries that are needed by programs as they are run. However, if
+    there are libraries in directories other than these, they need to be
+    added to the <filename>/etc/ld.so.conf</filename> file in order
+    for the dynamic loader to find them. Some directories that are commonly
+    known to contain additional libraries are
+    <filename class="directory">/usr/local/lib</filename>,
+    <filename class="directory">/usr/local/lib64</filename>,
+    <filename class="directory">/opt/lib</filename>,
+    and <filename class="directory">/opt/lib64</filename>,
+    so add those directories to the dynamic loader's search path.</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='ld-b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='ld-c'])"/>
+
+  </sect2>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 23ec9c07e460ac723d32adf12d0e3ff4377d6942)
+++ BOOK/introduction/common/changelog.xml	(revision 3998188544768a1c609abdf175452efa33db7283)
@@ -36,4 +36,14 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>August 24, 2008</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Update the paths to ld.so when configuring Glibc
+          for each arch.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>