Index: BOOK/final-system/common/vim.xml
===================================================================
--- BOOK/final-system/common/vim.xml	(revision 45c9bddee73de50982acd76cb0fa34d03b148dbd)
+++ BOOK/final-system/common/vim.xml	(revision 6334994846932f2de425a450e6cc25d05bcdb866)
@@ -36,15 +36,22 @@
     <para os="a">First, unpack both <filename>vim-&vim-version;.tar.bz2</filename>
     and (optionally) <filename>vim-&vim-version;-lang.tar.gz</filename>
-    archives into the same directory. Then, change the default location of
+    archives into the same directory.</para>
+
+    <para os="p1">The following patch contains updates from the maintainer. The
+    maintainer of Vim only releases these patches to fix serious issues.</para>
+
+<screen os="p2"><userinput>patch -Np1 -i ../&vim-fixes-patch;</userinput></screen>
+
+    <para os="b">Change the default location of
     the <filename>vimrc</filename> configuration file to <filename
     class="directory">/etc</filename>:</para>
 
-<screen os="b"><userinput>echo '#define SYS_VIMRC_FILE "/etc/vimrc"' &gt;&gt; src/feature.h</userinput></screen>
-
-    <para os="c">Prepare Vim for compilation:</para>
-
-<screen os="d"><userinput>./configure --prefix=/usr --enable-multibyte</userinput></screen>
-
-    <variablelist os="e">
+<screen os="c"><userinput>echo '#define SYS_VIMRC_FILE "/etc/vimrc"' &gt;&gt; src/feature.h</userinput></screen>
+
+    <para os="d">Prepare Vim for compilation:</para>
+
+<screen os="e"><userinput>./configure --prefix=/usr --enable-multibyte</userinput></screen>
+
+    <variablelist os="f">
       <title>The meaning of the configure options:</title>
 
@@ -63,16 +70,16 @@
     </variablelist>
 
-    <para os="f">Compile the package:</para>
-
-<screen os="g"><userinput>make</userinput></screen>
-
-    <para os="h">To test the results, issue: <userinput>make test</userinput>.
+    <para os="g">Compile the package:</para>
+
+<screen os="h"><userinput>make</userinput></screen>
+
+    <para os="i">To test the results, issue: <userinput>make test</userinput>.
     However, this test suite outputs a lot of binary data to the
     screen, which can cause issues with the settings of the current terminal.
     This can be resolved by redirecting the output to a log file.</para>
 
-    <para os="i">Install the package:</para>
-
-<screen os="j"><userinput>make install</userinput></screen>
+    <para os="j">Install the package:</para>
+
+<screen os="k"><userinput>make install</userinput></screen>
 
     <para os="l">Many users are used to using <command>vi</command> instead of
@@ -83,5 +90,5 @@
 <screen os="m"><userinput>ln -sv vim /usr/bin/vi</userinput></screen>
 
-<para os="m1">By default, Vim's documentation is installed in
+<para os="n">By default, Vim's documentation is installed in
 <filename class="directory">/usr/share/vim</filename>.  The following symlink
 allows the documentation to be accessed via
@@ -89,7 +96,7 @@
 it consistent with the location of documentation for other packages:</para>
 
-<screen os="m2"><userinput>ln -sv ../vim/vim&vim-version2;/doc /usr/share/doc/vim-&vim-version;</userinput></screen>
-
-    <para os="n">If an X Window System is going to be installed on the LFS
+<screen os="o"><userinput>ln -sv ../vim/vim&vim-version2;/doc /usr/share/doc/vim-&vim-version;</userinput></screen>
+
+    <para os="p">If an X Window System is going to be installed on the LFS
     system, it may be necessary to recompile Vim after installing X. Vim
     comes with a GUI version of the editor that requires X and some
Index: BOOK/final-system/multilib/vim.xml
===================================================================
--- BOOK/final-system/multilib/vim.xml	(revision 45c9bddee73de50982acd76cb0fa34d03b148dbd)
+++ BOOK/final-system/multilib/vim.xml	(revision 6334994846932f2de425a450e6cc25d05bcdb866)
@@ -28,4 +28,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/vim.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/vim.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/vim.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
@@ -34,10 +42,10 @@
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen os="d"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" ./configure --prefix=/usr \
-   --enable-multibyte</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/vim.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
+
+<screen os="e"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" ./configure --prefix=/usr \
+   --enable-multibyte</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -63,4 +71,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/vim.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/vim.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
@@ -71,13 +83,13 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/vim.xml"
-    xpointer="xpointer(//*[@os='m1'])"/>
+    xpointer="xpointer(//*[@os='n'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/vim.xml"
-    xpointer="xpointer(//*[@os='m2'])"/>
+    xpointer="xpointer(//*[@os='o'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/vim.xml"
-    xpointer="xpointer(//*[@os='n'])"/>
+    xpointer="xpointer(//*[@os='p'])"/>
 
   </sect2>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 45c9bddee73de50982acd76cb0fa34d03b148dbd)
+++ BOOK/introduction/common/changelog.xml	(revision 6334994846932f2de425a450e6cc25d05bcdb866)
@@ -43,4 +43,7 @@
           <para>[jim] - Updated Linux and Linux Headers to 2.6.16.16.</para>
         </listitem>
+        <listitem>
+          <para>[jim] - Add Vim 7.0 Upstream Patches.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 45c9bddee73de50982acd76cb0fa34d03b148dbd)
+++ BOOK/materials/common/patches.xml	(revision 6334994846932f2de425a450e6cc25d05bcdb866)
@@ -241,4 +241,12 @@
 
     <varlistentry>
+      <term>Vim Fixes Patch - 8.5 KB:</term>
+      <listitem>
+        <para><ulink
+        url="&patches-root;vim/&vim-fixes-patch;"/></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Zlib fPIC Patch - 3.2 KB:</term> <listitem>
         <para><ulink
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 45c9bddee73de50982acd76cb0fa34d03b148dbd)
+++ BOOK/patches.ent	(revision 6334994846932f2de425a450e6cc25d05bcdb866)
@@ -53,5 +53,5 @@
 <!ENTITY util-linux-gcc4_fixes-patch "util-linux-&util-linux-version;-gcc4_fixes-1.patch">
 
-<!ENTITY vim-security_fix-patch "vim-&vim-version;-security_fix-2.patch">
+<!ENTITY vim-fixes-patch "vim-&vim-version;-fixes-1.patch">
 
 <!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-1.patch">