Index: BOOK/cross-tools/alpha-chapter.xml
===================================================================
--- BOOK/cross-tools/alpha-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/alpha-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/glibc-headers.xml"/>
Index: BOOK/cross-tools/common/ncurses.xml
===================================================================
--- BOOK/cross-tools/common/ncurses.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
+++ BOOK/cross-tools/common/ncurses.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-ncurses" role="wrap">
+  <?dbhtml filename="ncurses.html"?>
+
+  <title>Ncurses-&ncurses-version;</title>
+
+  <indexterm zone="ch-cross-tools-ncurses">
+    <primary sortas="a-Ncurses">Ncurses</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/ncurses.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Ncurses</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../temp-system/common/ncurses.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../temp-system/common/ncurses.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <para os="a">Prepare Ncurses for compilation:</para>
+
+<screen os="b"><userinput>./configure --prefix=/cross-tools \
+    --without-shared</userinput></screen>
+
+    <para os="c">Build the headers and then build tic:</para>
+
+<screen os="d"><userinput>make -C include
+make -C progs tic</userinput></screen>
+
+    <para os="e">Install tic with the following command:</para>
+
+<screen os="f"><userinput>install -m755 progs/tic /cross-tools/bin</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-ncurses" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/cross-tools/mips-chapter.xml
===================================================================
--- BOOK/cross-tools/mips-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/mips-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/gcc-static.xml"/>
Index: BOOK/cross-tools/mips64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/mips64-64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/mips64-64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64-64/gcc-static.xml"/>
Index: BOOK/cross-tools/mips64-chapter.xml
===================================================================
--- BOOK/cross-tools/mips64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/mips64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/gcc-static.xml"/>
Index: BOOK/cross-tools/ppc-chapter.xml
===================================================================
--- BOOK/cross-tools/ppc-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/ppc-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/gcc-static.xml"/>
Index: BOOK/cross-tools/ppc64-chapter.xml
===================================================================
--- BOOK/cross-tools/ppc64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/ppc64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/gcc-static.xml"/>
Index: BOOK/cross-tools/sparc-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/sparc-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/gcc-static.xml"/>
Index: BOOK/cross-tools/sparc64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc64-64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/sparc64-64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/gcc-static.xml"/>
Index: BOOK/cross-tools/sparc64-chapter.xml
===================================================================
--- BOOK/cross-tools/sparc64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/sparc64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/gcc-static.xml"/>
Index: BOOK/cross-tools/x86-chapter.xml
===================================================================
--- BOOK/cross-tools/x86-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/x86-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -17,4 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc-static.xml"/>
Index: BOOK/cross-tools/x86_64-64-chapter.xml
===================================================================
--- BOOK/cross-tools/x86_64-64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/x86_64-64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/gcc-static.xml"/>
Index: BOOK/cross-tools/x86_64-chapter.xml
===================================================================
--- BOOK/cross-tools/x86_64-chapter.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/cross-tools/x86_64-chapter.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -18,4 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/gcc-static.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision a210462519f6cc99170212f638a14e1adf6545ad)
+++ BOOK/introduction/common/changelog.xml	(revision 7153563438e9519930df2873449e82f98e73efc5)
@@ -40,4 +40,9 @@
       <para>December 21, 2008</para>
       <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Add tic from ncurses from cross-tools. This fixes
+          a problem where ncurses may hang while cross-compiling if there is
+          a version mismatch with host systems tic.</para>
+        </listitem>
         <listitem>
           <para>[jciccone] - Add --host=${CLFS_TARGET32} to the 32bit MPFR