Index: boot/mips/colo-build.xml
===================================================================
--- boot/mips/colo-build.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ boot/mips/colo-build.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -29,4 +29,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/mips/colo.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips/colo.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips/colo.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
Index: boot/mips64/colo-build.xml
===================================================================
--- boot/mips64/colo-build.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ boot/mips64/colo-build.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -32,4 +32,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips/colo.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips/colo.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/colo-build.xml"
     xpointer="xpointer(//*[@os='a'])"/>
Index: final-system/mips/colo.xml
===================================================================
--- final-system/mips/colo.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ final-system/mips/colo.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -29,4 +29,9 @@
     RaQ2, Qube, or the Qube2.</para>
   </note>
+
+    <para os="p3">This patch updates Fixes a relocation error when linking with
+    binutils:</para>
+
+<screen os="p4"><userinput>patch -Np1 -i ../&colo-relocation-patch;</userinput></screen>
 
     <para os="b">Compile the Colo package:</para>
Index: final-system/mips64/colo.xml
===================================================================
--- final-system/mips64/colo.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ final-system/mips64/colo.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -29,4 +29,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/colo.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../mips/colo.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../mips/colo.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
Index: introduction/mips/changelog.xml
===================================================================
--- introduction/mips/changelog.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ introduction/mips/changelog.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -33,4 +33,14 @@
 
 -->
+
+    <listitem>
+      <para>July 22, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Added a patch for Colo to fix a relocation error with
+	  the use of the newer binutils.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: introduction/mips64-64/changelog.xml
===================================================================
--- introduction/mips64-64/changelog.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ introduction/mips64-64/changelog.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -33,4 +33,14 @@
 
 -->
+
+    <listitem>
+      <para>July 22, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Added a patch for Colo to fix a relocation error with
+          the use of the newer binutils.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: introduction/mips64/changelog.xml
===================================================================
--- introduction/mips64/changelog.xml	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ introduction/mips64/changelog.xml	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -35,4 +35,14 @@
 
     <listitem>
+      <para>July 22, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Added a patch for Colo to fix a relocation error with
+          the use of the newer binutils.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>July 8, 2006</para>
       <itemizedlist>
Index: patches.ent
===================================================================
--- patches.ent	(revision 18dccc06358c2d6e9c78f04b522e36614422fcd2)
+++ patches.ent	(revision 898742258c507f585940d39009dc12b36c479451)
@@ -201,4 +201,8 @@
 <!ENTITY colo-make-patch-size "2.7 KB">
 
+<!ENTITY colo-relocation-patch "colo-&colo-version;-relocation_fix-1.patch">
+<!ENTITY colo-relocation-patch-md5 "e0607ee1071f2f805ffa1ef1c5b1a766">
+<!ENTITY colo-relocation-patch-size "4 KB">
+
 <!ENTITY dvhtool-fixes-patch "dvhtool-&dvhtool-version;-fixes-1.patch">
 <!ENTITY dvhtool-fixes-patch-md5 "a521b380354b6a0c96b2d6308372749d">