Index: BOOK/cross-tools/common/cloog.xml
===================================================================
--- BOOK/cross-tools/common/cloog.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/cross-tools/common/cloog.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -29,4 +29,12 @@
     --with-gmp-prefix=/cross-tools --with-isl-prefix=/cross-tools</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
     <para os="c">Compile the package:</para>
 
Index: BOOK/final-system/common/cloog.xml
===================================================================
--- BOOK/final-system/common/cloog.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/final-system/common/cloog.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -33,4 +33,8 @@
 LDFLAGS="-Wl,-rpath-link,/usr/lib:/lib" \
   ./configure --prefix=/usr --enable-shared --with-isl=system</userinput></screen>
+
+    <para os="s1">Apply a <command>sed</command> which prevents the attempted installation of an invalid file:</para>
+
+<screen os="s2"><userinput>sed -i '/cmake/d' Makefile</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/final-system/multilib/cloog-64bit.xml
===================================================================
--- BOOK/final-system/multilib/cloog-64bit.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/final-system/multilib/cloog-64bit.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -30,4 +30,12 @@
   ./configure --prefix=/usr \
     --libdir=/usr/lib64 --enable-shared --with-isl=system</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/cloog-n32.xml
===================================================================
--- BOOK/final-system/multilib/cloog-n32.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/final-system/multilib/cloog-n32.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -31,4 +31,12 @@
   ./configure --prefix=/usr \
     --libdir=/usr/lib32 --enable-shared --with-isl=system</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/cloog.xml
===================================================================
--- BOOK/final-system/multilib/cloog.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/final-system/multilib/cloog.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -31,4 +31,12 @@
   ./configure --prefix=/usr \
     --host=${CLFS_TARGET32} --enable-shared --with-isl=system</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/64/cloog.xml
===================================================================
--- BOOK/temp-system/64/cloog.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/temp-system/64/cloog.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -32,4 +32,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/cloog.xml"
     xpointer="xpointer(//*[@os='c'])"/>
Index: BOOK/temp-system/common/cloog.xml
===================================================================
--- BOOK/temp-system/common/cloog.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/temp-system/common/cloog.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -29,4 +29,12 @@
     --with-gmp-prefix=/tools --with-isl-prefix=/tools</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
     <para os="c">Compile the package:</para>
 
Index: BOOK/temp-system/multilib/cloog.xml
===================================================================
--- BOOK/temp-system/multilib/cloog.xml	(revision 22cab5f5fe9a652547b1a6b71e58ab5c3abeb9ff)
+++ BOOK/temp-system/multilib/cloog.xml	(revision 942039812701c9fa25a99b34b9257dfe79bc2d34)
@@ -32,4 +32,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../final-system/common/cloog.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/cloog.xml"
     xpointer="xpointer(//*[@os='c'])"/>